Module waffle.jna
Package waffle.windows.auth

# Interface IWindowsIdentity

All Known Implementing Classes:
  `WindowsIdentityImpl`

public interface IWindowsIdentity
A Windows Identity.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Dispose of the Windows identity.
`String`
`getFqn()`
Fully qualified name.
`IWindowsAccount[]`
`getGroups()`
Group memberships.
`byte[]`
`getSid()`
Sid.
`String`
`getSidString()`
Sid.
`IWindowsImpersonationContext`
`impersonate()`
Impersonate a logged on user.
`boolean`
`isGuest()`
Returns true if the identity represents a Guest account.

## Method Details

### getSidString

String getSidString()
Sid.

Returns:
  String.

### getSid

byte[] getSid()
Sid.

Returns:
  Array of bytes.

### getFqn

String getFqn()
Fully qualified name.

Returns:
  String.

### getGroups

IWindowsAccount[] getGroups()
Group memberships.

Returns:
  Array of accounts.

### impersonate

IWindowsImpersonationContext impersonate()
Impersonate a logged on user.

Returns:
  An impersonation context.

### dispose

void dispose()
Dispose of the Windows identity.

### isGuest

boolean isGuest()
Returns true if the identity represents a Guest account.

Returns:
  True if the identity represents a Guest account, false otherwise.